{
  "id": "6a58242bf463b2ffea441579",
  "source": "go:parse",
  "type": "go-type",
  "title": "parse.type Tree",
  "content": "# type parse.type Tree ¶\n\n```\ntype Tree struct {\n\tName      string    // name of the template represented by the tree.\n\tParseName string    // name of the top-level template during parsing, for error messages.\n\tRoot      *ListNode // top-level root of the tree.\n\tMode      Mode      // parsing mode.\n\t// contains filtered or unexported fields\n}\n```\n\nTree is the representation of a single parsed template.",
  "url": "https://pkg.go.dev/parse#type Tree ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/text/template/parse",
    "kind": "type",
    "method_count": 0,
    "package": "parse",
    "symbol": "type Tree ¶",
    "type_kind": "alias",
    "underlying": "type Tree struct {\n\tName      string    // name of the template represented by the tree.\n\tParseName string    // name of the top-level template during parsing, for error messages.\n\tRoot      *ListNode // top-level root of the tree.\n\tMode      Mode      // parsing mode.\n\t// contains filtered or unexported fields\n}"
  },
  "hash": "ed12d94a9b06fa44ac6a94b899725297dda91b9af4c851ae44f88e464fac7994",
  "timestamp": "2026-02-23T11:22:10.617640647+01:00"
}